diff --git a/CHANGELOG b/CHANGELOG
index d66b8fc..8df22ae 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -4,6 +4,8 @@
 - correct initialization of local var in parse_server_string.
 - add missing "multi" map support.
 - add multi nsswitch lookup.
+- change random multiple server selection option name to be consistent
+  with existing downstream version 4 naming.
 
 18/06/2007 autofs-5.0.2
 -----------------------
diff --git a/daemon/automount.c b/daemon/automount.c
index 3e40428..294c511 100644
--- a/daemon/automount.c
+++ b/daemon/automount.c
@@ -1367,7 +1367,7 @@ static void usage(void)
 		"	-d --debug	log debuging info\n"
 		"	-D --define	define global macro variable\n"
 		/*"	-f --foreground do not fork into background\n" */
-		"	-r --random-replicated-selection\n"
+		"	-r --random-multimount-selection\n"
 		"			use ramdom replicated server selection\n"
 		"	-O --global-options\n"
 		"			specify global mount options\n"
@@ -1469,7 +1469,7 @@ int main(int argc, char *argv[])
 		{"debug", 0, 0, 'd'},
 		{"define", 1, 0, 'D'},
 		{"foreground", 0, 0, 'f'},
-		{"random-selection", 0, 0, 'r'},
+		{"random-multimount-selection", 0, 0, 'r'},
 		{"global-options", 1, 0, 'O'},
 		{"version", 0, 0, 'V'},
 		{0, 0, 0, 0}
diff --git a/man/automount.8 b/man/automount.8
index b01be83..fc1846a 100644
--- a/man/automount.8
+++ b/man/automount.8
@@ -47,7 +47,7 @@ Define a global macro substitution variable. Global definitions
 are over-ridden macro definitions of the same name specified in
 mount entries.
 .TP
-.I "\-r, \-\-random-replicated-selection"
+.I "\-r, \-\-random-multimount-selection"
 Enables the use of ramdom selection when choosing a host from a
 list of replicated servers.
 .TP
